#container {
  position: relative;
  width: 100%;
  display: grid;
  grid-template-columns: 75% 15%;
  justify-content: space-evenly;
  margin: 0 auto;
  padding-bottom: 150px;
  padding-top: 150px;
}

.filter-price {
  width: 100%;
}

.filter-price h3 {
  font-family: system-ui, sans-serif;
  margin-bottom: 30px;
}

.item-filter {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  font-size: 17px;
  user-select: none;
}

/* Hide the browser's default checkbox */
.item-filter input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  background-color: #eee;
}

/* On mouse-over, add a grey background color */
.item-filter:hover input~.checkmark {
  background-color: #ccc;
}

/* Show the checkmark when checked */
.item-filter input:checked~.checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.item-filter .checkmark:after {
  content: "";
  position: absolute;
  display: none;
  left: 9px;
  top: 5px;
  width: 5px;
  height: 10px;
  border: solid #333333;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.main-content {
  position: relative;
  width: 100%;
  margin: 0 auto;
  margin-bottom: 30px;
}

.main-content .title-content {
  color: #333333;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  box-shadow: 0 10px 10px 0 #fafafa;
  padding: 5px 0 10px 10px;
  margin: 0 0 50px 0;
  font-family: system-ui, sans-serif;
}

.main-content .title-content .filter-select span {
  font-size: 13px;
  margin-right: 10px;
}

.main-content .title-content #select {
  width: 130px;
  height: 40px;
  padding: 10px;
  outline: none;
}

.content-clothes {
  height: auto;
  overflow: none;
  display: grid;
  grid-template-columns: repeat(4, 20%);
  justify-content: center;
  column-gap: 70px;
  row-gap: 100px;
  transition: 0.5s;
}

.content-clothes .item-products {
  position: relative;
  width: 300px;
  height: 450px;
  overflow: hidden;
  cursor: pointer;
  text-align: center;
  user-select: none;
  border-radius: 5px 30px;
  transition: 0.5s;
  box-shadow: 0 0 2px 0 #b2bec3;
}

.content-clothes .item-products .name {
  padding: 0 15px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.content-clothes .item-products .price {
  position: relative;
  font-weight: 600;
  margin-top: 10px;
}

.content-clothes .item-products .price::after {
  position: absolute;
  content: "đ";
  top: -2px;
  font-size: 13px;
  color: #e74c3c;
}

.content-clothes .item-products .item-img {
  width: 100%;
  height: 80%;
  object-fit: cover;
  object-position: center;
  transition: 0.5s;
  border-bottom: 1px solid #dfe6e9;
}

.content-clothes .item-products:hover {
  box-shadow: 0 10px 50px 0 #dfe6e9;
  border-radius: 5px 30px;
}

.content-clothes .item-products:hover {
  box-shadow: 0 5px 20px 0 #dfe6e9;
}

.content-clothes .item-products:hover .item-img {
  border-radius: 0;
  box-shadow: 0 0 5px 0 #b2bec3;
  border-radius: 0 0 0 30px;
}

.content-clothes .item-products:hover .name {
  color: #e74c3c;
}

.btn-filter {
  display: none;
}

.filter-price .close-filter {
  display: none;
}

@media screen and (min-width: 768px) and (max-width: 1024px) {
  #container {
    display: block;
  }

  .main-content {
    width: 90%;
  }

  .filter-main {
    position: fixed;
    top: 50%;
    right: 0;
  }

  .btn-filter {
    position: absolute;
    top: 50%;
    right: 20px;
    display: block;
    width: 40px;
    height: 40px;
    background-color: #e74c3c;
    border-radius: 50%;
    text-align: center;
    line-height: 40px;
    color: #fff;
    cursor: pointer;
  }

  .content-clothes {
    width: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    column-gap: 0px;
    row-gap: 0px;
    gap: 30px;
  }

  .content-clothes .item-products {
    height: 300px;
    flex: 0 1 200px;
  }

  .content-clothes .item-products .name {
    font-size: 13px;
  }

  .content-clothes .item-products .price {
    margin-top: 5px;
  }

  .filter-price {
    position: absolute;
    top: 0;
    right: 20px;
    width: 300px;
    padding: 30px;
    background: #fff;
    box-shadow: 0 0 3px 0 #ccc;
    border-radius: 5px;
    opacity: 0;
    transform: translateX(110%);
    transition: .5s all;
  }

  .filter-price .close-filter {
    display: block;
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 30px;
    cursor: pointer;
  }
}

@media screen and (min-width: 320px) and (max-width: 430px) {
  #container {
    display: block;
    padding-top: 70px;
    padding-bottom: 50px;
  }

  .main-content {
    width: 90%;
  }

  .main-content .title-content h1 {
    font-size: 20px;
  }

  .main-content .title-content .filter-select span {
    font-size: 10px;
  }

  .main-content .title-content .filter-select #select {
    width: 100px;
    height: 30px;
    padding: 5px;
    font-size: 10px;
  }

  .filter-main {
    position: fixed;
    top: 50%;
    right: 0;
  }

  .btn-filter {
    position: absolute;
    top: 50%;
    right: 20px;
    display: block;
    width: 40px;
    height: 40px;
    background-color: #e74c3c;
    border-radius: 50%;
    text-align: center;
    line-height: 40px;
    color: #fff;
    cursor: pointer;
  }

  .content-clothes {
    width: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    column-gap: 0px;
    row-gap: 0px;
    gap: 15px;
  }

  .content-clothes .item-products {
    width: 150px;
    height: 250px;
    flex: 0 1 150px;
    border-radius: 5px;
  }

  .content-clothes .item-products .name {
    padding: 0 10px;
    font-size: 12px;
  }

  .content-clothes .item-products .price {
    margin-top: 0;
    font-size: 10px;
  }

  .content-clothes .item-products .price::after {
    font-size: 8px;

  }

  .filter-price {
    position: absolute;
    top: 0;
    right: 20px;
    width: 200px;
    padding: 20px;
    background: #fff;
    box-shadow: 0 0 3px 0 #ccc;
    border-radius: 5px;
    opacity: 0;
    transform: translateX(110%);
    transition: .5s all;
  }

  .filter-price .close-filter {
    display: block;
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 30px;
    cursor: pointer;
  }

  .item-filter {
    font-size: 10px;
    padding-left: 25px;
  }

  .checkmark {
    width: 15px;
    height: 15px;
  }

  .item-filter .checkmark:after {
    left: 6px;
    top: 2px;
    width: 2px;
    height: 8px;
    border-width: 0 2px 2px 0;
  }
}